# File:  events/www/admin/role-delete.tcl

ad_page_contract {
    Allows admins to confirm the removal of a role

    @param role_id the id of the role

    @author Michael Steigman (michael@steigman.net)
    @author Bryan Che (bryanche@arsdigita.com)
    @cvs_id $Id: role-delete.tcl,v 1.1 2004/11/23 20:05:54 annyf Exp $
} {
    {role_id:naturalnum,notnull}
}
set user_id [ad_conn user_id]
set package_id [ad_conn package_id]
set package_admin [permission::permission_p -object_id $package_id -party_id $user_id -privilege "admin"]


if { $package_admin != 1} {

    doc_return 200 text/html  "<h3>Permission Denied</h3>
                               You don't have permission to admin Events Management. "
    ad_script_abort
}


events::organizer::get_role -role_id $role_id -array role_info

set title "Delete Role?"

set context_bar [ad_context_bar [list "roles" Roles] [list "role?role_id=$role_id" Role] "Delete Role"]

set question "Delete role from system?"

form create role_delete

element create role_delete role \
    -label "Role name" \
    -datatype text \
    -widget inform \
    -value $role_info(role)

element create role_delete role_id \
    -label "Role" \
    -datatype integer \
    -widget hidden \
    -value $role_id

element create role_delete submit \
    -label "Delete role" \
    -datatype text \
    -widget submit

if {[template::form is_valid role_delete]} {
    events::organizer::delete_role \
		-role_id $role_id

    ad_returnredirect roles
    ad_script_abort
}

ad_return_template
